<!DOCTYPE html>
<html data-ng-app="app">
<head>
  @@inc=base/head
  @@inc=base/metatags
</head>
<body class="uebersicht" ng-controller="mainController">
@@inc=base/googleanalytics

@@inc=base/admin-panel
@@inc=navbar/navbar_head

<section ng-controller="matchOverviewController">
  @@inc=navbar/navbar_seasons

  <div class="container">
    <div id="content">
      <section class="overview">
        <div class="overview-gameday">
          <h2>Ligaspiele</h2>

          <div class="placeholder" data-icon="heart-broken"
               ng-if="(allMatches[season].gameday.length === 0)">
            Keine Ligaspiele vorhanden
          </div>

          <ul class="list-overview" ng-repeat="(key, dates) in allMatches[season].live.gameday">
            @@inc=list-overview-match
          </ul>

          <div class="collapse-item" ng-repeat="(key, gamedays) in allMatches[season].gameday">
            <input type="checkbox" id="collapse-{{key}}" name="collapse"/>
            <label for="collapse-{{key}}" data-count="{{gamedays | amountMatches}}">{{key}}</label>

            <div class="collapse-content">
              <ul class="list-overview">
                            <span ng-repeat="dates in gamedays">

                                <li ng-repeat="match in dates" ng-class="{'uncomplete': !match.date.end}">
                                    <span class="league">{{match.league | leagueShortName}}</span>
                                    <span class="date">{{match.date.create | date : 'dd.MM.'}}</span>
                                    <span class="match">
                                        <a href="./live?match={{match.matchid}}"
                                           data-title="">
                                            <strong>{{match.team_home.name}}</strong> vs
                                            <strong>{{match.team_guest.name}}</strong>
                                            ({{match.team_home.set}} : {{match.team_guest.set}})
                                        </a>
                                    </span>
                                </li>

                            </span>
              </ul>
            </div>
          </div>

        </div>

        <div class="overview-custom">
          <h2>Pokal & Freundschaftsspiele</h2>

          <div class="placeholder" data-icon="heart-broken"
               ng-hide="(allMatches[season] || allMatches[season].live.cup)">
            Keine Spiele vorhanden
          </div>

          <!-- Live Pokalspiel -->
          <div ng-repeat="(key, dates) in allMatches[season].live.cup">
            <ul class="list-overview">
              <li ng-repeat="match in dates" class="live">
                <span class="cup"></span>
                <span class="date">{{match.date.create | date : 'dd.MM.'}}</span>
                <span class="match">
                                    <a href="./live?match={{match.matchid}}"
                                       data-title="">
                                        <strong>{{match.team_home.name}}</strong> vs
                                        <strong>{{match.team_guest.name}}</strong>
                                        ({{match.team_home.set}} : {{match.team_guest.set}})
                                    </a>
                                </span>
                <span class="live"></span>
              </li>
            </ul>
          </div>

          <!-- Live Freundschaftsspiele -->
          <div ng-repeat="(key, dates) in allMatches[season].live.custom">
            <ul class="list-overview">
              <li ng-repeat="match in dates" class="live">
                <span class="date">{{match.date.create | date : 'dd.MM.'}}</span>
                <span class="match">
                                    <a href="./live?match={{match.matchid}}"
                                       data-title="">
                                        <strong>{{match.team_home.name}}</strong> vs
                                        <strong>{{match.team_guest.name}}</strong>
                                        ({{match.team_home.set}} : {{match.team_guest.set}})
                                    </a>
                                </span>
                <span class="live"></span>
              </li>
            </ul>
          </div>

          <!-- Pokalspiele -->
          <div class="collapse-item">
            <input type="checkbox" id="collapse-cup" name="collapse"/>
            <label for="collapse-cup">Vergangene Pokalsspiele</label>

            <div class="collapse-content">
              <ul class="list-overview" ng-repeat="(key, gamedays) in allMatches[season].cup">
                            <span ng-repeat="dates in gamedays">
                                <li ng-repeat="match in dates">
                                    <span class="cup"></span>
                                    <span class="date">{{match.date.create | date : 'dd.MM.'}}</span>
                                    <span class="match">
                                        <a href="./live?match={{match.matchid}}"
                                           data-title="">
                                            <strong>{{match.team_home.name}}</strong> vs
                                            <strong>{{match.team_guest.name}}</strong>
                                            ({{match.team_home.set}} : {{match.team_guest.set}})
                                        </a>
                                    </span>
                                </li>
                            </span>
              </ul>
            </div>
          </div>

          <!-- Freundschaftsspiele -->
          <div class="collapse-item">
            <input type="checkbox" id="collapse-custom" name="collapse"/>
            <label for="collapse-custom">Vergangene Freundschaftsspiele</label>

            <div class="collapse-content">
              <ul class="list-overview" ng-repeat="(key, gamedays) in allMatches[season].custom">
                            <span ng-repeat="dates in gamedays">
                                <li ng-repeat="match in dates">
                                    <span class="date">{{match.date.create | date : 'dd.MM.'}}</span>
                                    <span class="match">
                                        <a href="./live?match={{match.matchid}}"
                                           data-title="">
                                            <strong>{{match.team_home.name}}</strong> vs
                                            <strong>{{match.team_guest.name}}</strong>
                                            ({{match.team_home.set}} : {{match.team_guest.set}})
                                        </a>
                                    </span>
                                </li>
                            </span>
              </ul>
            </div>
          </div>

        </div>
      </section>
    </div>
  </div>
</section>

<section class="last"></section>

@@inc=base/footer
@@inc=base/scripts
</body>
</html>